text color syntax not working
Status: Closed Start date:  

Priority: Normal Due date: 2013-03-24

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.0

Description

I am not able to apply text color styles to my wiki pages as shown below:

 wiki.PNG I did search around for this problem and thought that setting self.filter_styles=false in formatter.rb would resolve it, as you can see

form the image below, I have it set with no luck!

 code.PNG 

I am using bitnami virtual appliance with following version of application stack:

Environment:

  Redmine version                          2.0.0.stable

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.3

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  no plugin installed

 Is there anything else I am missing?

Thanks for your help!

History

#1 - 2012-05-30 19:52 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

With Redmine >= 1.4.0:

p{color:red}. this is red

 displays:

this is red

#2 - 2012-06-02 01:26 - Amrish Bharatiya

Thanks for the quick response.

I was wondering if there is anything planned to allow formatting part of text withing a paragraph.

#3 - 2012-07-18 14:04 - Keats .

- Status changed from Closed to Reopened

it's not working with 2.0.3 at least

#4 - 2013-03-17 13:36 - Dipan Mehta

This actually works but with a peculiar behavior

some text 

2025-05-02 1/2



p{color:red}. this is red

 produces

some text

p{color:red}. this is red

(not red). But

some text 

p{color:red}. this is red

 produces

some text

this is red

I don't know if this is expected behavior or I am missing something!

Dipan.

#5 - 2013-03-17 16:41 - Daniel Felix

- Due date set to 2013-03-24

- Status changed from Reopened to Needs feedback

Well this is a problem which applies on many wiki syntaxes.

The same with the code, ordered or unordered list or even with headings.

This is more likely a general textile problem.

Please give done feedback until next week. Otherwise this issue will be closed.

#6 - 2013-03-18 08:56 - Etienne Massip

- Status changed from Needs feedback to Closed

You need to put some space before the "p. ".

Every lonely line is a paragraph in Textile, if it is not a lonely line then it can't be a paragraph; using the "p. " simply allow you to adjust the paragraph

style or set language (see http://redcloth.org/hobix.com/textile).

#7 - 2013-03-18 09:21 - Dipan Mehta

Understood!

But trust me - had this issue not been filed, I would have never come across that thing such as 'color' is even possible! The documentation is clearly

lacking this and many similar things that I don't even know yet!

Dipan.

#8 - 2013-03-18 09:54 - Etienne Massip

Dipan Mehta wrote:

But trust me - had this issue not been filed, I would have never come across that thing such as 'color' is even possible! The documentation is

clearly lacking this and many similar things that I don't even know yet!

 As briefly described in online help, Redmine rely on Textile for text formatting; there are probably a lot of Textile formatting possibilities you (and I)

don't even know they exist you might be interested in.

Files

code.PNG 5.86 KB 2012-05-30 Amrish Bharatiya

wiki.PNG 4.89 KB 2012-05-30 Amrish Bharatiya

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://redcloth.org/hobix.com/textile
www.redmine.org/help/wiki_syntax_detailed.html#5
http://www.tcpdf.org

